Adding live-package 0.99.18-1.

This commit is contained in:
Daniel Baumann 2007-09-23 10:04:38 +02:00
parent 16b3f9f04c
commit b995c6b293
11 changed files with 129 additions and 12 deletions

View File

@ -1,3 +1,12 @@
2007-01-30 Daniel Baumann <daniel@debian.org>
* Added cron job for autobuilding images.
2007-01-25 Daniel Baumann <daniel@debian.org>
* Added additional pruning to minimal flavour.
* Using interactive frontend while processing --hook.
2007-01-24 Daniel Baumann <daniel@debian.org>
* Applied patches from Otavio Salvador <otavio@debian.org>:

View File

@ -3,7 +3,6 @@
all: install
install:
# Installing make-live
@# Install main script
install -D -m 0755 src/main.sh $(DESTDIR)/usr/sbin/make-live
@ -36,7 +35,6 @@ install:
install -m 0644 doc/man/*.8 $(DESTDIR)/usr/share/man/man8
uninstall:
# Uninstalling make-live
@# Remove main script
rm -f $(DESTDIR)/usr/sbin/make-live

6
debian/changelog vendored
View File

@ -1,3 +1,9 @@
live-package (0.99.18-1) unstable; urgency=low
* New upstream release.
-- Daniel Baumann <daniel@debian.org> Thu, 25 Jan 2007 08:29:00 +0100
live-package (0.99.17-1) unstable; urgency=low
* New upstream release.

3
debian/copyright vendored
View File

@ -54,3 +54,6 @@ License (contrib/syslinux-splash/*, templates/isolinux/splash.rle):
Note: we would appreciate that you make the image a link to
http://www.debian.org/ if you use it on a web page.
The Debian packaging is (C) 2006-2007, Daniel Baumann <daniel@debian.org> and
is licensed under the GPL, see `/usr/share/common-licenses/GPL'.

67
debian/cron.daily vendored Normal file
View File

@ -0,0 +1,67 @@
#!/bin/sh
# Check for make-live executable
if [ ! -x /usr/sbin/make-live ]
then
exit 0
fi
# Check for make-live default
if [ -r /etc/default/make-live ]
then
. /etc/default/make-live
else
echo "E: /etc/default/make-live missing."
exit 1
fi
# Check for autobuild
if [ "${AUTOBUILD}" = "false" ]
then
exit 0
fi
# Check for build directory
if [ ! -d "${DIRECTORY}" ]
then
mkdir -p "${DIRECTORY}"
else
# FIXME: maybe we should just remove the left overs.
echo "E: ${DIRECTORY} needs cleanup."
exit 1
fi
# Process image autobuilding
cd "${DIRECTORY}"
for DISTRIBUTION in ${DISTRIBUTIONS}
do
for FLAVOUR in ${FLAVOURS}
do
if [ ! -f "${SERVER}"/daily-release/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${FLAVOUR}_${DATE}.txt ]
then
# Generating images
mkdir debian-live
make-live -d ${DISTRIBUTION} -p ${FLAVOUR} -m ${MIRROR} ${OPTIONS} > debian-live/log.txt 2>&1
fi
if [ -f debian-live/binary.iso ] && [ -f debian-live/source.iso ]
then
# Moving images
mkdir -p "${SERVER}"/daily-release/${DATE}/log
mv debian-live/log.txt "${SERVER}"/daily-release/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${FLAVOUR}_${DATE}.txt
mkdir -p "${SERVER}"/daily-release/${DATE}/${ARCHITECTURE}
mv debian-live/binary.iso "${SERVER}"/daily-release/${DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${FLAVOUR}.iso
mkdir -p "${SERVER}"/daily-release/${DATE}/source
mv debian-live/source.iso "${SERVER}"/daily-release/${DATE}/source/debian-live-${DISTRIBUTION}-source-${FLAVOUR}.iso
fi
rm -rf debian-live
done
done
# Cleanup
umount -f "${DIRECTORY}"/debian-live/chroot/proc > /dev/null 2>&1
rm -rf "${DIRECTORY}"

13
debian/default vendored Normal file
View File

@ -0,0 +1,13 @@
# Defaults for make-live cron.daily
AUTOBUILD="false"
DISTRIBUTIONS="etch sid"
FLAVOURS="minimal standard kde gnome xfce"
MIRROR="http://ftp.debian.org/debian/"
OPTIONS="--with-source"
DIRECTORY="/srv/tmp/make-live"
SERVER="/srv/debian-live"
ARCHITECTURE="`dpkg --print-architecture`"
DATE="`date +%Y%m%d`"

2
debian/rules vendored
View File

@ -23,6 +23,7 @@ install: build
# Installing package
$(MAKE) install DESTDIR=$(CURDIR)/debian/live-package
install -D debian/default debian/live-package/etc/default/make-live
binary-arch: build install
@ -32,6 +33,7 @@ binary-indep: build install
dh_installchangelogs ChangeLog
dh_installdocs
dh_install
dh_installcron
dh_compress
dh_fixperms
dh_installdeb

View File

@ -85,11 +85,11 @@ LIVE_REPOSITORY_KEYRING_edu="debian-edu-archive-keyring"
LIVE_REPOSITORY_DISTRIBUTION_edu="etch-test"
LIVE_REPOSITORY_SECTIONS_edu="local"
LIVE_REPOSITORY_duo="http://ftp.debian-unofficial.org/debian/"
LIVE_REPOSITORY_KEY_duo="http://ftp-master.debian-unofficial.org/key_2006.asc"
LIVE_REPOSITORY_KEYRING_duo=""
LIVE_REPOSITORY_DISTRIBUTION_duo=""
LIVE_REPOSITORY_SECTIONS_duo="main contrib non-free restricted"
LIVE_REPOSITORY_restricted="http://ftp.debian-unofficial.org/debian-restricted/"
LIVE_REPOSITORY_KEY_restricted="http://ftp-master.debian-unofficial.org/key_2007.asc"
LIVE_REPOSITORY_KEYRING_restricted=""
LIVE_REPOSITORY_DISTRIBUTION_restricted=""
LIVE_REPOSITORY_SECTIONS_restricted="restricted"
LIVE_REPOSITORY_fai="http://www.informatik.uni-koeln.de/fai/download/"
LIVE_REPOSITORY_KEY_fai=""

View File

@ -28,7 +28,7 @@ set -e
BASE=${LIVE_BASE:-"/usr/share/make-live"}
CONFIG="/etc/make-live.conf"
PROGRAM="`basename ${0}`"
VERSION="0.99.17"
VERSION="0.99.18"
CODENAME_OLDSTABLE="woody"
CODENAME_STABLE="sarge"

View File

@ -260,4 +260,14 @@ Defaults ()
then
LIVE_DISK_VOLUME="Debian Live `date +%Y%m%d`"
fi
if [ -z "${LIVE_DEBCONF_FRONTEND}" ]
then
LIVE_DEBCONF_FRONTEND="noninteractive"
fi
if [ -z "${LIVE_DEBCONF_PRIORITY}" ]
then
LIVE_DEBCONF_PRIORITY="critical"
fi
}

View File

@ -12,7 +12,7 @@
Chroot_exec ()
{
# Execute commands chrooted
chroot "${LIVE_CHROOT}" /usr/bin/env -i HOME="/root" PATH="/usr/sbin:/usr/bin:/sbin:/bin" TERM="${TERM}" ftp_proxy="${LIVE_PROXY_FTP}" http_proxy="${LIVE_PPROXY_HTTP}" DEBIAN_FRONTEND="noninteractive" DEBIAN_PRIORITY="critical" ${1}
chroot "${LIVE_CHROOT}" /usr/bin/env -i HOME="/root" PATH="/usr/sbin:/usr/bin:/sbin:/bin" TERM="${TERM}" ftp_proxy="${LIVE_PROXY_FTP}" http_proxy="${LIVE_PPROXY_HTTP}" DEBIAN_FRONTEND="${LIVE_DEBCONF_FRONTEND}" DEBIAN_PRIORITY="${LIVE_DEBCONF_PRIORITY}" ${1}
return ${?}
}
@ -152,7 +152,7 @@ EOF
if [ -r "${BASE}"/hooks/"${LIVE_FLAVOUR}" ]
then
grep -v "^#" "${BASE}"/hooks/"${LIVE_FLAVOUR}" > "${LIVE_CHROOT}"/root/"${LIVE_FLAVOUR}"
Chroot_exec "sh /root/${LIVE_FLAVOUR}"
LIVE_DEBCONF_FRONTEND="readline" LIVE_DEBCONF_PRIORITY="low" Chroot_exec "sh /root/${LIVE_FLAVOUR}"
rm -f "${LIVE_CHROOT}"/root/"${LIVE_FLAVOUR}"
fi
@ -160,10 +160,10 @@ EOF
if [ -r "${LIVE_HOOK}" ]
then
# FIXME
Chroot_exec "`cat ${LIVE_HOOK}`"
LIVE_DEBCONF_FRONTEND="readline" LIVE_DEBCONF_PRIORITY="low" Chroot_exec "`cat ${LIVE_HOOK}`"
elif [ -n "${LIVE_HOOK}" ]
then
Chroot_exec "${LIVE_HOOK}"
LIVE_DEBCONF_FRONTEND="readline" LIVE_DEBCONF_PRIORITY="low" Chroot_exec "${LIVE_HOOK}"
fi
# Temporary hacks for broken packages
@ -182,6 +182,15 @@ EOF
rm -rf "${LIVE_CHROOT}"/var/cache/apt
mkdir -p "${LIVE_CHROOT}"/var/cache/apt/archives/partial
if [ "${LIVE_FLAVOUR}" = "minimal" ]
then
rm -f "${LIVE_CHROOT}"/var/lib/apt/lists/*
rm -f "${LIVE_CHROOT}"/var/lib/dpkg/available-old
rm -f "${LIVE_CHROOT}"/var/lib/dpkg/diversions-old
rm -f "${LIVE_CHROOT}"/var/lib/dpkg/statoverride-old
rm -f "${LIVE_CHROOT}"/var/lib/dpkg/status-old
fi
# Workaround binfmt-support /proc locking
umount "${LIVE_CHROOT}"/proc/sys/fs/binfmt_misc > /dev/null || true